Name:          kde-dev-scripts
Version:       4.14.1
Release:       1mamba
Summary:       Various scripts for KDE development
Group:         Graphical Desktop/Applications/Development
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.kde.org
Source:        http://download.kde.org/stable/%{version}/src/kde-dev-scripts-%{version}.tar.xz
License:       GPL
BuildRequires: automoc4
BuildRequires: cmake
## AUTOBUILDREQ-BEGIN
BuildRequires: perl-devel
BuildRequires: perl-XML-DOM
## AUTOBUILDREQ-END
Requires:      kdelibs%{?_kde4_version: >= %{_kde4_version}}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Various scripts for KDE development.

## remove the devel blocks if this package does not provide development stuff
%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      kdelibs-devel

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%cmake_kde4 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_kde4_bindir}/adddebug
%{_kde4_bindir}/build-progress.sh
%{_kde4_bindir}/cheatmake
%{_kde4_bindir}/colorsvn
%{_kde4_bindir}/create_cvsignore
%{_kde4_bindir}/create_makefile
%{_kde4_bindir}/create_makefiles
%{_kde4_bindir}/create_svnignore
%{_kde4_bindir}/cvs-clean
%{_kde4_bindir}/cvsaddcurrentdir
%{_kde4_bindir}/cvsbackport
%{_kde4_bindir}/cvsblame
%{_kde4_bindir}/cvscheck
%{_kde4_bindir}/cvsforwardport
%{_kde4_bindir}/cvslastchange
%{_kde4_bindir}/cvslastlog
%{_kde4_bindir}/cvsrevertlast
%{_kde4_bindir}/cvsversion
%{_kde4_bindir}/cxxmetric
%{_kde4_bindir}/draw_lib_dependencies
%{_kde4_bindir}/extend_dmalloc
%{_kde4_bindir}/extractattr
%{_kde4_bindir}/extractrc
%{_kde4_bindir}/findmissingcrystal
%{_kde4_bindir}/fix-include.sh
%{_kde4_bindir}/fixkdeincludes
%{_kde4_bindir}/fixuifiles
%{_kde4_bindir}/includemocs
%{_kde4_bindir}/kde-systemsettings-tree.py
%{_kde4_bindir}/kde_generate_export_header
%{_kde4_bindir}/kdedoc
%{_kde4_bindir}/kdekillall
%{_kde4_bindir}/kdelnk2desktop.py
%{_kde4_bindir}/kdemangen.pl
%{_kde4_bindir}/krazy-licensecheck
%{_kde4_bindir}/makeobj
%{_kde4_bindir}/noncvslist
%{_kde4_bindir}/nonsvnlist
%{_kde4_bindir}/optimizegraphics
%{_kde4_bindir}/package_crystalsvg
%{_kde4_bindir}/png2mng.pl
%{_kde4_bindir}/pruneemptydirs
%{_kde4_bindir}/qtdoc
%{_kde4_bindir}/reviewboard-am
%{_kde4_bindir}/svn-clean
%{_kde4_bindir}/svnbackport
%{_kde4_bindir}/svnchangesince
%{_kde4_bindir}/svnforwardport
%{_kde4_bindir}/svngettags
%{_kde4_bindir}/svnintegrate
%{_kde4_bindir}/svnlastchange
%{_kde4_bindir}/svnlastlog
%{_kde4_bindir}/svnrevertlast
%{_kde4_bindir}/svnversions
%{_kde4_bindir}/wcgrep
%{_kde4_bindir}/zonetab2pot.py
%{_mandir}/man1/adddebug.1.gz
%{_mandir}/man1/cheatmake.1.gz
%{_mandir}/man1/create_cvsignore.1.gz
%{_mandir}/man1/create_makefile.1.gz
%{_mandir}/man1/create_makefiles.1.gz
%{_mandir}/man1/cvscheck.1.gz
%{_mandir}/man1/cvslastchange.1.gz
%{_mandir}/man1/cvslastlog.1.gz
%{_mandir}/man1/cvsrevertlast.1.gz
%{_mandir}/man1/cxxmetric.1.gz
%{_mandir}/man1/extend_dmalloc.1.gz
%{_mandir}/man1/extractrc.1.gz
%{_mandir}/man1/fixincludes.1.gz
%{_mandir}/man1/pruneemptydirs.1.gz
%{_mandir}/man1/qtdoc.1.gz
%{_mandir}/man1/reportview.1.gz
%{_mandir}/man1/transxx.1.gz
%{_mandir}/man1/zonetab2pot.py.1.gz
%doc COPYING COPYING.DOC

%changelog
* Sun Sep 28 2014 Automatic Build System <autodist@mambasoft.it> 4.14.1-1mamba
- automatic version update by autodist

* Thu Aug 21 2014 Automatic Build System <autodist@mambasoft.it> 4.14.0-1mamba
- automatic version update by autodist

* Wed Jul 16 2014 Automatic Build System <autodist@mambasoft.it> 4.13.3-1mamba
- automatic version update by autodist

* Fri Jun 13 2014 Automatic Build System <autodist@mambasoft.it> 4.13.2-1mamba
- automatic version update by autodist

* Mon May 19 2014 Automatic Build System <autodist@mambasoft.it> 4.13.1-1mamba
- automatic version update by autodist

* Thu Apr 17 2014 Automatic Build System <autodist@mambasoft.it> 4.13.0-1mamba
- automatic version update by autodist

* Thu Apr 03 2014 Automatic Build System <autodist@mambasoft.it> 4.12.4-1mamba
- automatic version update by autodist

* Wed Mar 05 2014 Automatic Build System <autodist@mambasoft.it> 4.12.3-1mamba
- automatic version update by autodist

* Wed Feb 05 2014 Automatic Build System <autodist@mambasoft.it> 4.12.2-1mamba
- automatic version update by autodist

* Tue Jan 14 2014 Automatic Build System <autodist@mambasoft.it> 4.12.1-1mamba
- automatic version update by autodist

* Sat Dec 21 2013 Automatic Build System <autodist@mambasoft.it> 4.12.0-1mamba
- automatic version update by autodist

* Thu Dec 05 2013 Automatic Build System <autodist@mambasoft.it> 4.11.4-1mamba
- automatic version update by autodist

* Wed Nov 06 2013 Automatic Build System <autodist@mambasoft.it> 4.11.3-1mamba
- automatic version update by autodist

* Wed Oct 02 2013 Automatic Build System <autodist@mambasoft.it> 4.11.2-1mamba
- automatic version update by autodist

* Wed Sep 04 2013 Automatic Build System <autodist@mambasoft.it> 4.11.1-1mamba
- automatic version update by autodist

* Sun Sep 01 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 4.11.0-1mamba
- package created by silvan using the webbuild interface
